/*Ready document*////////////////////////////////////////////////////////////////////
$(document).ready(function() {
	
	$(':header:empty, .h1:empty, .h2:empty, .h3:empty, .h4:empty, .h5:empty, .h6:empty, .left-box:empty, .right-box:empty, .options:empty').each(function(index, element) {
		$(this).remove();
	});
	$('.left-box, .right-box').each(function(index, element) {
		if($.trim($(this).html()) == ''){
			$(this).remove();
		}
	});
	
	///////// Animation Main Menu //////////////
	$('.mobile-menu:hidden + nav li.category').hover(
		function() {
			$(this).find('ul:first').stop(true, true).slideDown('fast');
		},function() {
			$(this).find('ul:first').slideUp();
        }
	);
	
	///////// Show button "Top" at the scrolling of documents //////////////
	$(window).scroll(function(e) {
		$(window).scrollTop() <= 300 ? $('#go-top').hide('slow') : $('#go-top').show('slow');
	});
	$('body #go-top').click(function(e) {
		$("html, body").animate({ scrollTop:0 },1000);
	});
	
	///////// Product list style = list/grid //////////////
	$('#content').find('.product-list:has(.default, .noAddToCart)').each(function(index, element) {
		$(this).prepend(
			'<nav class="list-style">'+
				'<span class="icon-list icon16"></span>'+
				'<span class="icon-grid-view ml10px icon16 active"></span>'+
			'</nav>'
		)
	});
	$('.product-list .list-style .icon-list, .product-list .list-style .icon-grid-view').on('click', function(){
		$(this).parent().find('span').removeClass('active');
		$(this).addClass('active');
		if($(this).hasClass('icon-list')){
			$(this).closest('.product-list').find('.product-item').removeClass('grid').addClass('list');
		}else{
			$(this).closest('.product-list').find('.product-item').removeClass('list');
		}
	});

	///////////// Tab (Show/Hide) ///////////
	$('.tabs>li').click(function () {
		$('.tabs>li.active, .tabs-content.active').removeClass("active");
		$(this).addClass('active');
		$('.tabs-content:eq('+$(this).index()+')').addClass('active');
	});

});

/*Full load window*//////////////////////////////////////////////////////////////////
$(window).load(function(){
	$('.product-price-old:empty').remove()
	$("#right .product-list, #left .product-list").has('.product-item.default, .product-item.noAddToCart').carousel({
		size:1,
		visible:1,
		speed: 700,
		scrollTime: 5000,
		responsive: true
	});
	$("#footer .product-list, #footer .news-list").has('.product-item.default, .product-item.noAddToCart').carousel({
		size:2,
		visible:2,
		speed: 700,
		scrollTime: 5000,
		vertical:true
	});
	$("ul.related-products, ").carousel({
		size: 1,
		visible:4,
		speed: 700,
		scrollTime: 3000,
		responsive: true,
		responsiveMargin: 1.5
	});
});


/*For mobile*//////////////////////////////////////////////////////////////////
var move = false;
var elTouch = '.social_icons a, :submit, .main_menu li';
document.addEventListener('touchmove', function (e) {
	$('.touch').removeClass('touch');
	move = true;
}, false);
document.addEventListener('touchend', function(e){
	$(elTouch).removeClass('touch');
	move = false;
}, false);
$(document).on('touchstart', elTouch, function(e){
	$(this).addClass('touch');
});

$(document).on('touchend', '#left .h3, #right .h3', function(e){
	e.preventDefault();
	move ? '' : $(this).nextAll().stop(true, true).slideToggle('fast');
});

$(document).on('touchend', '.mobile-menu', function(e){
	e.preventDefault();
	move ? '' : $(this).next().stop(true, true).slideToggle();
});
$(document).on('touchend', '.category', function(e){
	if(e.target.tagName == "LI" ){
		e.preventDefault();
		move ? '' : $('ul', this).stop(true, true).slideToggle();
	}
});